package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 对应数据库的t_rpt_advertiser_hour表
 * @author yzl
 *
 */
public class RptAdvertiserHour {
	//主键
	private Long id;
	//运营商id
	private Long AdvertiserId;
	//日期
	private Date date;
	//小时
	private Integer hour;
	//订单id
	private Long orderId;
	//活动id
	private Long campaignId;
	//投放Id
	private Long adgroupId;
	//创意Id
	private Long bannerId;
	//曝光数
	private Long impression;
	//点击数
	private Long click;
	//到达数
	private Long visit;
	//转化数
	private Long conversion;
	//ecpm
	private Float ecpm;
	//消费
	private Long consume;
	//一天总的到达数
	private Long totalVisit;
	//一天总的转化数
	private Long totalConversion;
	//一天总的曝光数
	private Long totalImpression;
	//一天总的点击数
	private Long totalClick;
	//一天总的ecpm
	private Long totalEcpm;
	//一天的消费数
	private Long totalConsume;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getAdvertiserId() {
		return AdvertiserId;
	}
	public void setAdvertiserId(Long advertiserId) {
		AdvertiserId = advertiserId;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public Integer getHour() {
		return hour;
	}
	public void setHour(Integer hour) {
		this.hour = hour;
	}
	public Long getOrderId() {
		return orderId;
	}
	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}
	public Long getCampaignId() {
		return campaignId;
	}
	public void setCampaignId(Long campaignId) {
		this.campaignId = campaignId;
	}
	public Long getAdgroupId() {
		return adgroupId;
	}
	public void setAdgroupId(Long adgroupId) {
		this.adgroupId = adgroupId;
	}
	public Long getBannerId() {
		return bannerId;
	}
	public void setBannerId(Long bannerId) {
		this.bannerId = bannerId;
	}
	public Long getImpression() {
		return impression;
	}
	public void setImpression(Long impression) {
		this.impression = impression;
	}
	public Long getClick() {
		return click;
	}
	public void setClick(Long click) {
		this.click = click;
	}
	public Long getVisit() {
		return visit;
	}
	public void setVisit(Long visit) {
		this.visit = visit;
	}
	public Long getConversion() {
		return conversion;
	}
	public void setConversion(Long conversion) {
		this.conversion = conversion;
	}
	public Float getEcpm() {
		return ecpm;
	}
	public void setEcpm(Float ecpm) {
		this.ecpm = ecpm;
	}
	public Long getConsume() {
		return consume;
	}
	public void setConsume(Long consume) {
		this.consume = consume;
	}
	public Long getTotalVisit() {
		return totalVisit;
	}
	public void setTotalVisit(Long totalVisit) {
		this.totalVisit = totalVisit;
	}
	public Long getTotalConversion() {
		return totalConversion;
	}
	public void setTotalConversion(Long totalConversion) {
		this.totalConversion = totalConversion;
	}
	public Long getTotalImpression() {
		return totalImpression;
	}
	public void setTotalImpression(Long totalImpression) {
		this.totalImpression = totalImpression;
	}
	public Long getTotalClick() {
		return totalClick;
	}
	public void setTotalClick(Long totalClick) {
		this.totalClick = totalClick;
	}
	public Long getTotalEcpm() {
		return totalEcpm;
	}
	public void setTotalEcpm(Long totalEcpm) {
		this.totalEcpm = totalEcpm;
	}
	public Long getTotalConsume() {
		return totalConsume;
	}
	public void setTotalConsume(Long totalConsume) {
		this.totalConsume = totalConsume;
	}
	@Override
	public String toString() {
		return "RptAdvertiserHour [id=" + id + ", AdvertiserId=" + AdvertiserId
				+ ", date=" + date + ", hour=" + hour + ", orderId=" + orderId
				+ ", campaignId=" + campaignId + ", adgroupId=" + adgroupId
				+ ", bannerId=" + bannerId + ", impression=" + impression
				+ ", click=" + click + ", visit=" + visit + ", conversion="
				+ conversion + ", ecpm=" + ecpm + ", consume=" + consume
				+ ", totalVisit=" + totalVisit + ", totalConversion="
				+ totalConversion + ", totalImpression=" + totalImpression
				+ ", totalClick=" + totalClick + ", totalEcpm=" + totalEcpm
				+ ", totalConsume=" + totalConsume + "]";
	}
	
	
	
}
